* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: 'poppins',sans-serif;
    scroll-behavior: smooth;
    list-style: none;
    text-decoration: none;
}
.poppins-thin {
    font-family: "Poppins", sans-serif;
    font-weight: 100;
    font-style: normal;
  }
  
  .poppins-extralight {
    font-family: "Poppins", sans-serif;
    font-weight: 200;
    font-style: normal;
  }
  
  .poppins-light {
    font-family: "Poppins", sans-serif;
    font-weight: 300;
    font-style: normal;
  }
  
  .poppins-regular {
    font-family: "Poppins", sans-serif;
    font-weight: 400;
    font-style: normal;
  }
  
  .poppins-medium {
    font-family: "Poppins", sans-serif;
    font-weight: 500;
    font-style: normal;
  }
  
  .poppins-semibold {
    font-family: "Poppins", sans-serif;
    font-weight: 600;
    font-style: normal;
  }
  
  .poppins-bold {
    font-family: "Poppins", sans-serif;
    font-weight: 700;
    font-style: normal;
  }
  
  .poppins-extrabold {
    font-family: "Poppins", sans-serif;
    font-weight: 800;
    font-style: normal;
  }
  
  .poppins-black {
    font-family: "Poppins", sans-serif;
    font-weight: 900;
    font-style: normal;
  }

  :root {
    --main-color:#ff702a;
    --text-color:#fff;
    --bg-color:#1e1c2a;
    --big-font:5rem;
    --h2-font:2.25rem;
    --p-font:0.9rem;
  }
  *::selection {
    background: var(--main-color);
    color: #fff;
  }

  body{
    color: var(--text-color);
    background: var(--bg-color);
  }

  header{
position: fixed;
top: 0;
right: 0;
width: 100%;
z-index: 1000;
display: flex;
align-items: center ;
justify-content: space-between;
padding: 30px 170px;
background: var(--bg-color);
  }

  .logo{
    color: var(--main-color);
    font-weight: 600;
    font-size: 2.4rem;
  }

  .navbar{
    display: flex;

  }
  .navbar a{
    color: var(--text-color);
    font-size: 1.1rem;
    padding: 10px 20px;
    font-weight: 500;
  }

  .navbar a:hover{
    color: var(--main-color);
    transition: .4s;
  }

  #menu-icon{
    font-size: 2rem;
    cursor: pointer;
    display: none;
  }

  section{
    padding: 70px 17%;

  }

  .home{
    width: 100%;
    min-height: 90vh;
    display: grid;
    grid-template-columns: repeat(2, 1fr) ;
    grid-gap: 1.5rem;
    align-items: center;
  }

  .home-img img{
    max-width: 100%;  
    width: 600px;
    height: auto;
    padding-top: 10%;
  }

  .home-text h1{
    font-size: xxx-large;
    color: var(--main-color);
  }
  .home-text h2{
    font-size: var(--h2-font);
    margin: 1rem 0 2rem ;
  }

  .btn{
    display: inline-block;
    padding: 10px 20px;
    background: var(--main-color);
    color: #fff;
    border-radius: 0.5rem;
  }

  .btn:hover{
transform: scale(1.2) translateY(10px);
transition: .4s;
  }

  .about{
    display: grid;
    grid-template-columns: repeat(2,2fr);
    grid-gap: 1.5rem;
    align-items: center;
  }

  .about-img img{
    max-width: 100%;
    width:480px ;
    height: auto;
  }

  .about-text span{
    color: var(--main-color);
    font-weight: 600;

  }

  .about-text h2{
    font-size:  var(--h2-font);
  }

  .about-text p{
    margin: 0.8rem;
    line-height: 1.7;
  }

  .heading{
    text-align: center;
  }

  .heading span{
    color: var(--main-color);
    font-weight: 600;
  }

  .heading h2{
    font-size: var(--h2-font);
  }

  .menu-container{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(220px, auto));
    grid-gap: 1.5rem;
    align-items: center;
  }

  .box{
    position: relative;
    margin-top: 4rem;
    height: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background: #feeee7;
    padding: 20px;
    border-radius: 0.5rem;
  }

  .box-img{
    width: 220px;
    height: 220px;
  }

  .box-img img{
    width: 100%;
    height: 100%;
  }

  .box h2{
    font-size: 1.3rem;
    color: var(--bg-color);
}

.box h3{
    color: var(--bg-color);
    font-size: 1rem;
    font-weight: 400;
    margin: 4px 0 10px;
}

.box span{
    font-size: var(--p-font);
    color: var(--main-color);
    font-weight: 600;
}

.box .bx{
    background: var(--main-color);
    position: absolute;
    right: 0;
    top: 0;
    font-size: 20px;
    padding: 7px 10px;
    border-radius: 0 0.5rem 0 0.5rem;
}

.service-container{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(240px, auto));
    grid-gap: 1.5rem;
    margin-top: 4rem;
}

.s-box{
    text-align: center;
    padding: 20px 30px;
}

.s-box img{
    width: 90px;
}

.s-box h3{
    margin: 4px 0 10px;
    color: var(--main-color);
    font-size: 1.2rem;
}

.s-box p{
    line-height: 1.7;
}

.cta{
    background: #feeee7;
    padding: 70px 0;
    text-align: center;
    width: 66%;
    margin: 100px auto;
    border-radius: 10px;
}

.cta h2{
    font-size: 2rem;
    color: var(--bg-color);
    margin-bottom: 30px;
}

.main{
    display: flex;
    flex-wrap: wrap;
}

.footer{
    padding: 10px 0;
}

.col{
    width: 25%;
}

.col h4{
    font-size: 1.2rem;
    color: var(--text-color);
    margin-bottom: 25px;
    position: relative;
}

.col h4::before{
    content: "";
    position: absolute;
    height: 2px;
    width: 50px;
    left: 0;
    bottom: -8px;
    background: var(--main-color);
}

.col ul li:not(last-child){
    margin-bottom: 15px;
}

.col ul li a{
    color: #9897a9;
    font-size: 1.1rem;
    display: block;
    text-transform: capitalize;
    transition: .4s;
}

.col ul li a:hover{
    color: var(--text-color);
    transform: translateY(-12px);
}

.col .social{
    width: 220px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.col .social a{
    height: 40px;
    width: 40px;
    background: var(--main-color);
    color: var(--text-color);
    display: inline-flex;
    align-items: center;
    justify-content: center;
    font-size: 1.5rem;
    border-radius: 50%;
    transition: .4s;
}

.col .social a:hover{
    transform: scale(1.2);
    color: var(--bg-color);
    background: var(--text-color);
}

@media(max-width: 1560px){
header{
    padding: 15px 40px;
}
:root {
    --big-font:3.5rem;
    --h2-font:2rem;
}
}

@media(max-width: 1140px){
    section{
        padding: 50px 8%;
    }
    #menu-icon{
        display: initial;
        color: var(--text-color);
    }
    header .navbar{
        position: absolute;
        top: -400px;
        left: 0;
        right: 0;
        display: flex;
        flex-direction: column;
        text-align: center;
        background: #2b2640;
        transition: .3s;
    }
    header .navbar.active{
        top: 70px;
    }
    .navbar a{
        padding: 1.5rem;
        display: block;
    }
    .col{
        width: 50%;
        margin-bottom: 10px;
    }
}

@media(max-width: 720px){
header{
    padding: 10px 16px;
}
.home{
    grid-template-columns: 1fr;
    text-align: center;
}
.about{
    grid-template-columns: 1fr;
    text-align: center;
}
.about-img{
    order: 2;
}
section{
    padding: 100px 7%;
}
}

@media(max-width: 575px){
.col{
    width: 100%;
}
}